Bug 180307 - New port: devel/p5-Devel-Leak-Cb
Summary: New port: devel/p5-Devel-Leak-Cb
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Mathieu Arnold
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-07-05 14:00 UTC by Anes Mukhametov
Modified: 2013-11-15 17:00 UTC (History)
0 users

See Also:


Attachments
p5-Devel-Leak-Cb.shar (2.12 KB, text/plain)
2013-07-05 14:00 UTC, Anes Mukhametov
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Anes Mukhametov 2013-07-05 14:00:01 UTC
	New port: devel/p5-Devel-Leak-Cb	
	Detect leaked callbacks
Comment 1 Edwin Groothuis freebsd_committer 2013-07-05 14:00:09 UTC
Responsible Changed
From-To: freebsd-ports-bugs->perl

perl@ wants this port PRs (via the GNATS Auto Assign Tool)
Comment 2 Martin Wilke freebsd_committer 2013-07-17 22:57:23 UTC
Responsible Changed
From-To: perl->miwi

I'll take it.
Comment 3 Bryan Drewery freebsd_committer 2013-09-22 15:09:56 UTC
Responsible Changed
From-To: miwi->freebsd-ports-bugs

Back to the heap due to timeout
Comment 4 Edwin Groothuis freebsd_committer 2013-11-14 20:58:07 UTC
Responsible Changed
From-To: freebsd-ports-bugs->perl

perl@ wants this port PRs (via the GNATS Auto Assign Tool)
Comment 5 Mathieu Arnold freebsd_committer 2013-11-15 15:03:59 UTC
Responsible Changed
From-To: perl->mat

Take
Comment 6 Mathieu Arnold freebsd_committer 2013-11-15 16:52:45 UTC
State Changed
From-To: open->closed

Committed, thanks!
Comment 7 dfilter service freebsd_committer 2013-11-15 16:53:06 UTC
Author: mat
Date: Fri Nov 15 16:52:58 2013
New Revision: 333889
URL: http://svnweb.freebsd.org/changeset/ports/333889

Log:
  Add p5-Devel-Leak-Cb 0.04, detect leaked callbacks.
  
  PR:		ports/180307
  Submitted by:	Anes Mukhametov <anes@anes.su>

Added:
  head/devel/p5-Devel-Leak-Cb/
  head/devel/p5-Devel-Leak-Cb/Makefile   (contents, props changed)
  head/devel/p5-Devel-Leak-Cb/distinfo   (contents, props changed)
  head/devel/p5-Devel-Leak-Cb/pkg-descr   (contents, props changed)
  head/devel/p5-Devel-Leak-Cb/pkg-plist   (contents, props changed)
Modified:
  head/devel/Makefile

Modified: head/devel/Makefile
==============================================================================
--- head/devel/Makefile	Fri Nov 15 16:48:33 2013	(r333888)
+++ head/devel/Makefile	Fri Nov 15 16:52:58 2013	(r333889)
@@ -1861,6 +1861,7 @@
     SUBDIR += p5-Devel-Hide
     SUBDIR += p5-Devel-KYTProf
     SUBDIR += p5-Devel-Leak
+    SUBDIR += p5-Devel-Leak-Cb
     SUBDIR += p5-Devel-Leak-Object
     SUBDIR += p5-Devel-LeakGuard-Object
     SUBDIR += p5-Devel-LeakTrace

Added: head/devel/p5-Devel-Leak-Cb/Makefile
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/devel/p5-Devel-Leak-Cb/Makefile	Fri Nov 15 16:52:58 2013	(r333889)
@@ -0,0 +1,23 @@
+# Created by: Anes Mukhametov <anes@anes.su>
+# $FreeBSD$
+
+PORTNAME=	Devel-Leak-Cb
+PORTVERSION=	0.04
+CATEGORIES=	devel perl5
+MASTER_SITES=	CPAN
+PKGNAMEPREFIX=	p5-
+
+MAINTAINER=	anes@anes.su
+COMMENT=	Detect leaked callbacks
+
+LICENSE=	ART10 GPLv1
+LICENSE_COMB=	dual
+
+BUILD_DEPENDS=	p5-common-sense>=2:${PORTSDIR}/devel/p5-common-sense \
+		p5-Devel-Declare>=0.005011:${PORTSDIR}/devel/p5-Devel-Declare
+RUN_DEPENDS=	p5-Devel-Declare>=0.005011:${PORTSDIR}/devel/p5-Devel-Declare
+
+USES=	perl5
+USE_PERL5=	configure
+
+.include <bsd.port.mk>

Added: head/devel/p5-Devel-Leak-Cb/distinfo
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/devel/p5-Devel-Leak-Cb/distinfo	Fri Nov 15 16:52:58 2013	(r333889)
@@ -0,0 +1,2 @@
+SHA256 (Devel-Leak-Cb-0.04.tar.gz) = 3fe42711a5cadf0499b0fe0f0d4d2d42d5233bf7c006f3cba31f2fb666078b41
+SIZE (Devel-Leak-Cb-0.04.tar.gz) = 28424

Added: head/devel/p5-Devel-Leak-Cb/pkg-descr
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/devel/p5-Devel-Leak-Cb/pkg-descr	Fri Nov 15 16:52:58 2013	(r333889)
@@ -0,0 +1,3 @@
+Detect leaked callbacks
+
+WWW: http://search.cpan.org/dist/Devel-Leak-Cb/

Added: head/devel/p5-Devel-Leak-Cb/pkg-plist
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/devel/p5-Devel-Leak-Cb/pkg-plist	Fri Nov 15 16:52:58 2013	(r333889)
@@ -0,0 +1,9 @@
+%%PERL5_MAN3%%/Devel::Leak::Cb.3.gz
+%%SITE_PERL%%/Devel/Leak/Cb.pm
+%%SITE_PERL%%/%%PERL_ARCH%%/auto/Devel/Leak/Cb/.packlist
+@dirrmtry %%SITE_PERL%%/%%PERL_ARCH%%/auto/Devel/Leak/Cb
+@dirrmtry %%SITE_PERL%%/%%PERL_ARCH%%/auto/Devel/Leak
+@dirrmtry %%SITE_PERL%%/%%PERL_ARCH%%/auto/Devel
+@dirrmtry %%SITE_PERL%%/%%PERL_ARCH%%/Devel
+@dirrmtry %%SITE_PERL%%/Devel/Leak
+@dirrmtry %%SITE_PERL%%/Devel
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"